package com.tcl.factory.bsp;


/**
 * TV功能定义
 */
public class TVDefine {
 
	public final static int NULL = 0;
	
	public static int period;//add by yangms : for vsync
	public static boolean status_3d;//add by yangms : for 3d
	public static boolean bluetoothstatus=false;//add by yangms: for bluetooth
	
	public final static int SitaPMode = 9;	//for sita P
	public final static int WMode = 10;	  // for warmup
	public final static int PMode = 11;
	public final static int DMode = 12;	
	public final static int DPMode = 13;	
	public final static int PowerMode  = 14;
	public final static int NonStandardMode = 15;	
	public final static int ThreeDMode  = 21;	
	public final static int PictureMode  = 15;	
	public final static int Hotel_PictureMode  = 16;
	

// 外设定义	
	public final static int CICard  = 21;
	public final static int SDCard  = 22;
	public final static int USB  = 23;
	public final static int MAC  = 24;
 	public final static int Wifi  = 25;
	public final static int WiredNet  = 26;
	public final static int NetworkConnectivity = 27;

 // 音频相关定义
	public final static int AudioMode  = 31;
	public final static int AudioType  = 32;
	public final static int AudioMute  = 33;
	public final static int AudioVolume  = 34;
	public final static int AudioVolumeMax  = 35;
	public final static int AudioVolumeUp  = 36;
	public final static int AudioVolumeDown  = 37;
	public final static int AudioBalance  = 38;
	public final static int AudioScene  = 39;
	public final static int AudioFormat  =  40;
	public final static int AudioSmartVolume  = 41;
	public final static int Hotel_SoundMode  = 42;
	public final static int Hotel_PresetVolume  = 43;
	public final static int Hotel_MaxVolume  = 44;
	
	// 屏相关定�?
	public final static int PanelRotate  = 51;
	public final static int PictureFormat  = 52;
	
	 
	public final static int RGain  = 61;
	public final static int GGain  = 62;
	public final static int BGain  = 24;
	public final static int RGainOffset  = 63;
	public final static int GGainOffset  = 64;
	public final static int BGainOffset  = 65;
	
	// 画质相关定义
	public final static int Hue  = 71;
	public final static int Saturation  = 74;

	public final static int Color = 91;
	public final static int Sharpness  = 92;
	public final static int Contrast  = 93;
	public final static int BackLight  = 94;
	public final static int Brightness  = 95;
	public final static int ColorTemperature = 96;
	public final static int BackGroundColor = 97;

 // 自然光相关定�?
	public final static int NatureLight  = 101;
	public final static int NatureLightMode  = 102;
	public final static int NatureLightBP  = 103;
	public final static int NatureLightBKE  = 104;
	public final static int NatureLightAPL2  = 105;
	public final static int DBC = 106;
	public final static int DCC = 107;
 
	public final static int Curve  = 108;
	public final static int Overscan  = 109;
	
	
	public final static int Serial  = 111;
	public final static int SerialDebug  = 112;
	public final static int SidePanelKeyCode  = 113;
	public final static int DeviceID = 114;
	public final static int RegiterCode = 115;
	public final static int DeviceIDMACStatus = 116;

	public final static int SN  = 121;
 	public final static int HdcpKey  = 122; 
	public final static int ProjectID  = 123;
	public final static int SoftwareVersion  = 124;
	public final static int PlatformType  = 125;
	public final static int HdcpKey20  = 126;
	public final static int BootloaderVersion  = 127;
	public final static int PanelID  = 128;
	public final static int PanelMaxID = 129;
	
	public final static int NVM = 131;
	public final static int NVM2USB  = 132;
	public final static int USB2NVM  = 133;
	public final static int NVMReSet = 134;	
	public final static int ShopInit = 135;	
	public final static int WhiteBalance = 136;	
	public final static int WarmUP = 137;
  	public final static int WarmUPTime = 138;
  	public final static int ResetAll = 139;
 
  	
  	//频道信源相关定义
 	public final static int ChannelUp = 141;
	public final static int ChannelDown = 142;
	public final static int ChannelClear = 143;
	public final static int ChannelSet = 144;
	public final static int ChannelPreSet = 145;
	public final static int InputSource = 146;
	public final static int Hotel_InputSource = 147;
  

	public final static int AreaFrequence = 151;
	public final static int CityID = 152;  // city id for dtv
	public final static int PowerKeyPassToApp = 153;
	
//  特殊功能相关定义	
	public final static int KeyCodeTest = 161;	
	public final static int FactoryTest = 161;	
	public final static int USBCloneStatus = 163;	
	
	public final static int ChinaDescramblerBoxMode1 = 164;	
	public final static int ChinaDescramblerBoxMode2 = 165;	
	public final static int ChinaDescramblerBoxMode2Delay = 166;	
	
	// SSC
	public final static int LVDSSpan  = 171;
	public final static int LVDSSSC  = 172;
	public final static int LVDSStep  = 173;
	public final static int MemorySpan  = 174;
	public final static int MemorySSC  = 175;
	public final static int MemoryStep  = 176;
	public final static int PanelSwing  = 177;
	//Memc Level
	public final static int MemcLevel  = 178;
	public final static int SSC_FRC_ENABLE  = 179;
	public final static int SSC_FRC_SPAN  = 180;
	public final static int SSC_FRC_STEP  = 181;
	public final static int SSC_OSD_ENABLE  = 182;
	public final static int SSC_OSD_SPAN  = 183;
	public final static int SSC_OSD_STEP  = 184;

	
	
	// hotel mode function
	public final static int POWER_LOGO=191; 
	public final static int CH_LOCK=192; 
	public final static int AUTO_SET=193; 
	public static final int PRESET_CHANNEL = 194;
	public final static int KeyLock = 200;
	public final static int SilentInstallMode = 201;
	public final static int StandbyLEDIndicatorMode = 202;
	
	// watchDog
	public final static int WatchDog = 300;

	//after sale menu
	public final static int AfterSaleMenu_GetUserID = 310;
	public final static int AfterSaleMenu_BGM = 311;
	public final static int AfterSaleMenu_NMR = 312;
	public final static int AfterSaleMenu_DVBT2_mode = 313;
	public final static int AfterSaleMenu_HbbTV_mode = 314;
	
	//light sensor
	public final static int ADC_MAX = 350;
	public final static int ADC_MIN = 351;
	public final static int RATIO_MIN = 352;
	
	// GraphicBackLight add by wwk
	public final static int GraphicBackLight  = 353;
	
}
